# $Revision: 1.45 $, $Date: 2007-02-13 08:06:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Dumper
Summary:	XML::Dumper - Perl module for dumping Perl objects from/to XML
Summary(cs.UTF-8):	XML::Dumper - Perlový modul umožňující dump objektů Perlu z/do XML
Summary(pl.UTF-8):	XML::Dumper - moduł Perla konwertujący obiekty Perla do XML-a i odwrotnie
Name:		perl-XML-Dumper
Version:	0.81
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	10726bbe78bef5e4264d5f57533da7c1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-XML-Parser >= 2.16
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Dumper - Perl module for dumping Perl objects from/to XML.

%description -l cs.UTF-8
XML::Dumper - Perlový modul umožňující dump objektů Perlu z/do XML.

%description -l da.UTF-8
XML::Dumper - Perlmodul for at sende Perlobjekt fra/till XML.

%description -l de.UTF-8
XML::Dumper - Perl-Modul für das Dumping von Perl-Objekten von/zu
XML.

%description -l es.UTF-8
XML::Dumper - Módulo Perl para volcar objetos perl a/desde XML.

%description -l fr.UTF-8
XML::Dumper - Module Perl pour décharger des objets depuis/vers XML.

%description -l it.UTF-8
XML::Dumper - Modulo Perl per eseguire il dumping degli oggetti di
Perl da/a XML.

%description -l ja.UTF-8
XML との間で Perl オブジェクトをダンプするための Perl モジュール。

%description -l ko.UTF-8
XML::Dumper - XML 로부터/으로 펄 객체들을 버리는데 필요한 펄 모줄.

%description -l pl.UTF-8
XML::Dumper - moduł konwertujący obiekty Perla do XML-a i odwrotnie.

%description -l pt.UTF-8
XML::Dumper - Módulo de Perl para traduzir objectos de Perl de e para
XML.

%description -l sv.UTF-8
XML::Dumper - Perlmodul för att skicka Perlobjekt från/till XML.

%description -l zh_CN.UTF-8
XML::Dumper - 用于转储到 XML 或从 XML 转储 Perl 对象的 Perl 模块。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Dumper.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Dumper.spec,v $
Revision 1.45  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.44  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.43  2006/08/24 23:34:19  qboosh
- pl != cs

Revision 1.42  2006/08/24 00:27:19  radek
- release 1, informative summary, BR: perl-Compress-Zlib for tests

Revision 1.41  2006/07/12 20:52:18  agaran
- up to 0.81, rel 0.1 builds here

Revision 1.40  2006/02/27 03:40:27  agaran
- up to 0.79 rel 1

Revision 1.39  2004/11/03 22:30:55  paladine
- formatting

Revision 1.38  2004/06/05 18:10:49  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.37  2004/05/06 18:21:28  ankry
- fixed perl-devel BR

Revision 1.36  2004/05/04 23:32:33  ankry
- tests added, license fix, cosmetics

Revision 1.35  2004/03/06 18:48:23  adamg
- updated to 0.71

Revision 1.34  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.33  2004/02/18 16:27:03  qboosh
- s/no/nb/ in Summary langs

Revision 1.32  2003/09/18 13:22:53  adamg
- updated to 0.67; examples no longer included

Revision 1.31  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:42  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 22:09:56  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:39:11  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/07/22 21:50:06  ankry
- really bumped release to 8

Revision 1.22  2002/07/22 21:45:39  ankry
- fixed file attributes
- release 8

Revision 1.21  2002/07/21 12:24:46  qboosh
- added version to BR

Revision 1.20  2002/07/16 11:38:10  ankry
- translations, cleaning
- new %%doc
- release 7

Revision 1.19  2002/07/10 09:02:53  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:35:31  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:21:32  depesz
automatic: Source location unified, Relase Up

Revision 1.14  2002/02/10 15:38:42  depesz
adapterized

Revision 1.13  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:18:30  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/26 02:41:52  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:55:02  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:59  pius
- updated to 0.4

Revision 1.2  1999/11/07 09:18:48  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
